using System;


namespace Madionicar
{
    class Program
    {
        static void Main(string[] args)
        {
            int poz=0;
            string s=Console.ReadLine();
            string[] brojevi = new string[2];
            brojevi = s.Split(' ');
            int N = int.Parse(brojevi[0]);
            int K = int.Parse(brojevi[1]);
            int[] p = new int[N];
            string s1=Console.ReadLine();
            string[] karte= s1.Split(' ');
            for(int i=0;i<N;i++)
            {
                p[i] = int.Parse(karte[i]);
            }
            for (int i = 0; i < N; i++)
            {                
                if(p[i]==K)
                    poz=i;              
            }
            if (poz == N - 1)
                Console.WriteLine(karte[0]);
            else Console.WriteLine(karte[poz+1]);
        }
    }
}